# Git clone with submodule

This repo uses [charm-helpers](https://github.com/juju/charm-helpers) as a git submodule.
So you need to clone it with submodules:

    git clone --recurse-submodules <git-url-of-this-repo>

If you already cloned without the `--recurse-submodules` option, you can do:

    git submodule update --init

Please note the `charm-helpers` submodule is fixed at tag `v0.20.7`.
And a symlink has been created as such:

    cd hooks/
    ln -s ../mod/charm-helpers/charmhelpers .


# Local deployment

To deploy ElasticSearch locally:

    juju add-model elasticsearch
    juju deploy ./path/to/charm/elasticsearch

To confirm the health of an elasticsearch unit:

    juju ssh elasticsearch/0 "curl http://localhost:9200/_cluster/health?pretty=true"


# Testing the ElasticSearch charm

Run the unit-tests with `make test`.

Run the functional tests with `juju test`.

